[Debian-ha-commits] [pcs] 06/06: debian/tests: Run "pcs cluster setup".

Valentin Vidic vvidic-guest at moszumanska.debian.org
Mon Jun 20 14:03:27 UTC 2016


This is an automated email from the git hooks/post-receive script.

vvidic-guest pushed a commit to branch master
in repository pcs.

commit 16a548982e9d618e41d1389f3a2058a1f92a6d1b
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date:   Mon Jun 20 16:02:18 2016 +0200

    debian/tests: Run "pcs cluster setup".
    
    Configure the cluster and check pcsd access.
---
 debian/tests/control |  2 +-
 debian/tests/setup   | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletion(-)

diff --git a/debian/tests/control b/debian/tests/control
index 222d455..1915792 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,3 @@
 Depends: @, pacemaker, pacemaker-cli-utils
-Tests: status
+Tests: status, setup
 Restrictions: needs-root
diff --git a/debian/tests/setup b/debian/tests/setup
new file mode 100755
index 0000000..366a3a6
--- /dev/null
+++ b/debian/tests/setup
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+cleanup () {
+  service pcsd stop
+  service pacemaker stop
+  service corosync stop
+  passwd --delete --lock hacluster
+}
+
+trap "cleanup" 0 2 3 15
+
+pcs cluster setup --name debian --local --force --start localhost
+service pcsd start
+
+sleep 60
+
+echo hacluster:hacluster | chpasswd
+pcs cluster auth -u hacluster -p hacluster localhost
+pcs cluster pcsd-status 2>&1 | grep -20 "localhost: Online"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/pcs.git



More information about the Debian-HA-Commits mailing list